japa.parser.ast.stmt

## Class TryStmt

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.stmt.Statement
    - - japa.parser.ast.stmt.TryStmt

    public final class TryStmt
    extends Statement

### Constructor Summary

Constructors
Constructor and Description
`TryStmt()`
`TryStmt(BlockStmt tryBlock, List<CatchClause> catchs, BlockStmt finallyBlock)`
`TryStmt(int beginLine, int beginColumn, int endLine, int endColumn, BlockStmt tryBlock, List<CatchClause> catchs, BlockStmt finallyBlock)`

### Method Summary

Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.
`List<CatchClause>` `getCatchs()`
`BlockStmt` `getFinallyBlock()`
`BlockStmt` `getTryBlock()`
`void` `setCatchs(List<CatchClause> catchs)`
`void` `setFinallyBlock(BlockStmt finallyBlock)`
`void` `setTryBlock(BlockStmt tryBlock)`

### Methods inherited from class japa.parser.ast.Node

`equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TryStmt

    public TryStmt()

#### TryStmt

    public TryStmt(BlockStmt tryBlock,
           List<CatchClause> catchs,
           BlockStmt finallyBlock)

#### TryStmt

    public TryStmt(int beginLine,
           int beginColumn,
           int endLine,
           int endColumn,
           BlockStmt tryBlock,
           List<CatchClause> catchs,
           BlockStmt finallyBlock)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                 A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                  A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor

#### getCatchs

    public List<CatchClause> getCatchs()

#### getFinallyBlock

    public BlockStmt getFinallyBlock()

#### getTryBlock

    public BlockStmt getTryBlock()

#### setCatchs

    public void setCatchs(List<CatchClause> catchs)

#### setFinallyBlock

    public void setFinallyBlock(BlockStmt finallyBlock)

#### setTryBlock

    public void setTryBlock(BlockStmt tryBlock)